This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1459500 - GNOME Shell Top Bar - keyboard navigation does not work properly
GNOME Shell Top Bar - keyboard navigation does not work properly
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: gnome-shell (Show other bugs)
25
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Owen Taylor
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-07 06:04 EDT by Paweł
Modified: 2017-09-21 08:13 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-09-21 08:13:40 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
log for gnome shell (14.44 KB, text/plain)
2017-06-12 05:41 EDT, Paweł
no flags Details

  None (edit)
Description Paweł 2017-06-07 06:04:45 EDT
Description of problem:
Say I want to enter that top-right system menu to do something with it - but I want to use keyboard only. I can use multiple shortcuts to get there, but I can't actually use it:

- Ctrl+Alt+Tab and Shift+Tab (or 3xTab) - can't even open the menu (tried down arrow, enter, space etc.)

- Super+F10 and 2xRight Arrow - menu is opened, but i can't use it (tried down arrow, enter, space, etc.) - nothing gets highlighted and looks like it's inactive to all my inputs.

- Super+V / Super+M and Right Arrow - same as the first example.

Version-Release number of selected component (if applicable):
GNOME Shell 3.22.3

How reproducible:
Always

Steps to Reproduce:
1. Via Keyboard and one of many available shortcuts, select top-right system menu
2. Navigate using keyboard arrow keys and open any menu option


Actual results:
Menu stays inactive to keyboard navigation

Expected results:
Using menu like before, with arrows to select and enter to open menu entry

Additional info:
Before reporting this, I've disabled all extensions.
Comment 1 Florian Müllner 2017-06-08 09:18:26 EDT
(In reply to Paweł from comment #0)
> - Ctrl+Alt+Tab and Shift+Tab (or 3xTab) - can't even open the menu (tried
> down arrow, enter, space etc.)

All three are expected to work, and do work on my system. Do you see any gnome-shell warnings in the journal?


> Additional info:
> Before reporting this, I've disabled all extensions.

Did you restart your session after disabling the extensions? If an extension has a bug, it's entirely possible that it doesn't properly disable itself when asked ...
Comment 2 Paweł 2017-06-12 05:40:50 EDT
Hi Florian! 

Yes I did restart after disabling extensions. 

It looks like there are no gnome-shell warnings, but I'm not sure how to check logs precisely for gnome-shell unit. I couldn't find 'gnome-shell' or 'shell' unit to look for, like this: 'journalctl -b -u <unit>'.

So I did 'journalctl -b | grep gnome-shell' and found no warnings. I've attached the output.
Comment 3 Paweł 2017-06-12 05:41 EDT
Created attachment 1287004 [details]
log for gnome shell
Comment 4 Paweł 2017-08-30 09:26:26 EDT
Hi, I can't reproduce this bug anymore on F25, up to date. Maybe after some updates it 'fixed itself' or just stopped occuring for me. Shortcuts work ok, and I can navigate menus. 

So I guess we can close this bug report for now, thanks for your time :)

Note You need to log in before you can comment on or make changes to this bug.